Bug 975326 - [RHSC] - Swift status should go to unknown state for a non-responsive host.
[RHSC] - Swift status should go to unknown state for a non-responsive host.
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc (Show other bugs)
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Shubhendu Tripathi
Depends On:
  Show dependency treegraph
Reported: 2013-06-18 02:06 EDT by RamaKasturi
Modified: 2013-09-23 18:25 EDT (History)
7 users (show)

See Also:
Fixed In Version: bb5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-23 18:25:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 15904 None None None Never

  None (edit)
Description RamaKasturi 2013-06-18 02:06:14 EDT
Description of problem:
Swift status should be changed to UNKNOWN for a non responsive host.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create a cluster with two nodes attached to it.
2. Make one of them to go to non responsive state by stopping the vdsm.

Actual results:
Swift status does not go to UNKNOWN state in the server.

Expected results:
Swift status should be changed to unknown in the server.

Additional info:
Comment 2 RamaKasturi 2013-07-08 07:27:54 EDT
Verified in bb5 build.
Comment 3 Scott Haines 2013-09-23 18:25:49 EDT
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA. 

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.